package cn.estsh.i3plus.core.apiservice.schedulejob.wms;

import cn.estsh.i3plus.icloud.wms.sdk.IWmsScheduleJobCloud;
import cn.estsh.impp.framework.base.schedule.BaseImppScheduleJob;
import cn.estsh.impp.framework.boot.init.ApplicationProperties;
import io.swagger.annotations.ApiOperation;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description :  定时处理库存移动单信息
 * @Reference :
 * @Author : siliter
 * @CreateDate : 2019-03-07 13:25
 * @Modify:
 **/
@ApiOperation("定时处理库存移动单信息")
public class WmsDualTransStockJob extends BaseImppScheduleJob {
    public static final Logger LOGGER = LoggerFactory.getLogger(WmsDualTransStockJob.class);

    public WmsDualTransStockJob() {
        super(WmsDualTransStockJob.class,"定时处理库存移动单信息");
    }

    @Override
    public void executeImppJob(JobExecutionContext context, ApplicationProperties applicationProperties) {
        System.out.println("定时任务被执行");
        LOGGER.info("projectName：{},port:{}",applicationProperties.getApplicationName(),applicationProperties.getServerPort());
    }
}
